JUCE: MenuBarModel::Listener Class Reference

JUCE

Public Member Functions | List of all members
MenuBarModel::Listener Class Referenceabstract
juce_gui_basics » menus

A class to receive callbacks when a MenuBarModel changes. More...

`#include <juce_MenuBarModel.h>`

Inheritance diagram for MenuBarModel::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor. More...
virtual void | menuBarItemsChanged (MenuBarModel *menuBarModel)=0
| This callback is made when items are changed in the menu bar model. More...
virtual void | menuCommandInvoked (MenuBarModel *menuBarModel, const ApplicationCommandTarget::InvocationInfo &info)=0
| This callback is made when an application command is invoked that is represented by one of the items in the menu bar model. More...
virtual void | menuBarActivated (MenuBarModel *menuBarModel, bool isActive)
| Called when the menu bar is first activated or when the user finished interacting with the menu bar. More...

## Detailed Description

A class to receive callbacks when a MenuBarModel changes.

See also
  MenuBarModel::addListener, MenuBarModel::removeListener, MenuBarModel::menuItemsChanged

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual MenuBarModel::Listener::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ menuBarItemsChanged()

virtual void MenuBarModel::Listener::menuBarItemsChanged | ( | MenuBarModel * | menuBarModel | ) |
| pure virtual

This callback is made when items are changed in the menu bar model.

Implemented in MenuBarComponent.

## ◆ menuCommandInvoked()

virtual void MenuBarModel::Listener::menuCommandInvoked | ( | MenuBarModel * | menuBarModel,
|  | const ApplicationCommandTarget::InvocationInfo & | info
| ) |  |
| pure virtual

This callback is made when an application command is invoked that is represented by one of the items in the menu bar model.

Implemented in MenuBarComponent.

## ◆ menuBarActivated()

virtual void MenuBarModel::Listener::menuBarActivated | ( | MenuBarModel * | menuBarModel,
|  | bool | isActive
| ) |  |
| virtual

Called when the menu bar is first activated or when the user finished interacting with the menu bar.

The documentation for this class was generated from the following file:

- juce_MenuBarModel.h